## org.apache.log4j.xml
Class SAXErrorHandler

    java.lang.Object
      org.apache.log4j.xml.SAXErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

    public class SAXErrorHandler

extends Object
implements org.xml.sax.ErrorHandler

Constructor Summary
`SAXErrorHandler()`

Method Summary
`void` `error(org.xml.sax.SAXParseException ex)`
`void` `fatalError(org.xml.sax.SAXParseException ex)`
`void` `warning(org.xml.sax.SAXParseException ex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXErrorHandler

    public SAXErrorHandler()

Method Detail

### error

    public void error(org.xml.sax.SAXParseException ex)

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException ex)

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

### warning

    public void warning(org.xml.sax.SAXParseException ex)

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.